Skip to main content
PUT
Update Kubernetes efficiency report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

kubernetes_efficiency_report_token
string
required

Body

application/json

Update a KubernetesEfficiencyReport.

title
string

The title of the KubernetesEfficiencyReport.

filter
string

The filter query language to apply to the KubernetesEfficiencyReport. Additional documentation available at https://docs.vantage.sh/vql.

start_date
string<date>

The start date of the KubernetesEfficiencyReport. ISO 8601 Formatted. Incompatible with 'date_interval' parameter.

end_date
string<date>

The end date of the KubernetesEfficiencyReport. ISO 8601 Formatted. Incompatible with 'date_interval' parameter.

date_interval
enum<string>

The date interval of the KubernetesEfficiencyReport. Incompatible with 'start_date' and 'end_date' parameters. Defaults to 'this_month' if start_date and end_date are not provided.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
next_month,
next_3_months,
next_6_months,
next_12_months,
year_to_date,
last_3_days,
last_14_days
aggregated_by
enum<string>

The column by which the costs are aggregated.

Available options:
idle_cost,
amount,
cost_efficiency
date_bucket
enum<string>

The date bucket of the KubernetesEfficiencyReport.

Available options:
day,
week,
month,
quarter
groupings
string[]

Grouping values for aggregating costs on the KubernetesEfficiencyReport. Valid groupings: cluster_id, namespace, region, labeled, category, pod, label, label:<label_name>.

Response

KubernetesEfficiencyReport model

token
string
required
title
string
required

The title of the KubernetesEfficiencyReport.

Example:

"Acme123 Kubernetes Efficiency Metrics"

default
boolean
required

Indicates whether the KubernetesEfficiencyReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the KubernetesEfficiencyReport is a part of.

start_date
string | null
required

The start date for the KubernetesEfficiencyReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the KubernetesEfficiencyReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the KubernetesEfficiencyReport. Only present if a custom date range is not specified.

Example:

"last_month"

date_bucket
string
required

How costs are grouped and displayed in the KubernetesEfficiencyReport. Possible values: day, week, month.

Example:

"month"

aggregated_by
string
required

How costs are aggregated by. Possible values: idle_cost, amount, cost_efficiency.

groupings
string | null
required

Grouping values for aggregating costs on the KubernetesEfficiencyReport. Valid groupings: cluster_id, namespace, region, labeled, category, pod, label, label:<label_name>.

Example:

"cluster_id, namespace"

filter
string | null
required

The filter applied to the KubernetesEfficiencyReport. Additional documentation available at https://docs.vantage.sh/vql.

user_token
string | null

The token for the User who created this KubernetesEfficiencyReport.